<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BackdoorRequirement](./bitburner.backdoorrequirement.md)

## BackdoorRequirement interface

Player must have installed a backdoor on this server.

**Signature:**

```typescript
interface BackdoorRequirement 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[server](./bitburner.backdoorrequirement.server.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[type](./bitburner.backdoorrequirement.type.md)


</td><td>


</td><td>

"backdoorInstalled"


</td><td>


</td></tr>
</tbody></table>

